Bug 1305774 - Marshalling Error when executing command through SOAP interface
Marshalling Error when executing command through SOAP interface
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
Unspecified Unspecified
urgent Severity high
: ER2
: 6.3.0
Assigned To: Shelly McGowan
Tomas Livora
: Regression
Depends On: 1278722
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 03:37 EST by Tomas Livora
Modified: 2016-09-20 01:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1278722
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Livora 2016-02-09 03:37:44 EST
It seems that bug 1278722 has only been fixed in 6.3.x branch and not in 6.4.x/master branch.

+++ This bug was initially created as a clone of Bug #1278722 +++

Description of problem:
When you try to execute StartProcessCommand with various parameters using SOAP interface, you will get JAXBException.

Version-Release number of selected component (if applicable):
6.2.0 ER5

Steps to Reproduce:
1. Execute StartProcessCommand with various parameters using SOAP.
2. See the result.

Actual results:
javax.xml.ws.soap.SOAPFaultException: Marshalling Error: class org.kie.remote.jaxb.gen.List nor any of its super class is known to this context.

Expected results:
No exception

Additional info:
It worked well on ER4. It seems that this bug might have been introduced by the following commit which deals with org.kie.remote.jaxb.gen.List:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/78b5d38f99ce172b428f114e00c8d87197bcbb9f

This is the failing test:
https://gitlab.mw.lab.eng.bos.redhat.com/bxms/brms/blob/master/test-jbpm-integration/src/test/java/org/jboss/qa/bpms/jbpm/integration/remote/process/variable/ObjectVariableTest.java#L84-105

--- Additional comment from Edson Tirelli on 2015-11-06 16:42:52 CET ---

Setting as urgent as it is a regression.

--- Additional comment from Marco Rietveld on 2015-11-10 10:37:22 CET ---

PR available: https://github.com/droolsjbpm/droolsjbpm-integration/pull/225

--- Additional comment from Marco Rietveld on 2015-11-11 14:12:03 CET ---

Fixed in 6.3.x. Commits:

6.3.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/0b4b05ca

This has been purposefully not fixed in master, because the current fix is a hack. A robuster fix (classes in kie-internal or kie-core-jaxb) will be done for master.

--- Additional comment from Tomas Livora on 2015-11-20 11:43:20 CET ---

Verified on BPMS 6.2.0 CR1
Comment 1 Marco Rietveld 2016-03-15 09:47:24 EDT
PR submitted: https://github.com/droolsjbpm/droolsjbpm-integration/pull/358
Comment 2 Marco Rietveld 2016-03-18 10:29:34 EDT
Fixed on 6.4.x. Commits: 

6.4.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/44c87009
Comment 3 Tomas Livora 2016-03-31 05:22:56 EDT
Verified on BPM Suite 6.3.0 ER2

Note You need to log in before you can comment on or make changes to this bug.